<?php
/**
 * Header file for the Alok WordPress theme.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Alok
 * @since 1.0.0
 */
?><!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
    <link rel="profile" href="https://gmpg.org/xfn/11">
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php
if( function_exists('wp_body_open') ){
    wp_body_open();
} 
$default = alok_get_default_theme_options();
$ed_preloader = absint( get_theme_mod('ed_preloader', $default['ed_preloader'] ) );
if ( $ed_preloader && !is_customize_preview() ) {
$preloader_text = esc_html( get_theme_mod('preloader_text', $default['preloader_text'] ) ); ?>
    <div class="preloader hide-no-js">
        <div class="inner">
            <figure>
                <svg class="theme-spin" viewBox="0 0 200 200" width="200" height="200" xmlns="http://www.w3.org/2000/svg">
                    <defs>
                        <linearGradient id="theme-spinner-grad1" x1="1" y1="0.5" x2="0" y2="0.5">
                            <stop offset="0%" stop-color="hsl(313,90%,55%)" />
                            <stop offset="100%" stop-color="hsl(223,90%,55%)" />
                        </linearGradient>
                        <linearGradient id="theme-spinner-grad2" x1="0" y1="0" x2="0" y2="1">
                            <stop offset="0%" stop-color="hsl(313,90%,55%)" />
                            <stop offset="100%" stop-color="hsl(223,90%,55%)" />
                        </linearGradient>
                    </defs>
                    <circle class="theme-spin__ring" cx="100" cy="100" r="82" fill="none" stroke="url(#theme-spinner-grad1)" stroke-width="36" stroke-dasharray="0 257 1 257" stroke-dashoffset="0.01" stroke-linecap="round" transform="rotate(-90,100,100)" />
                    <line class="theme-spin__ball" stroke="url(#theme-spinner-grad2)" x1="100" y1="18" x2="100.01" y2="182" stroke-width="36" stroke-dasharray="1 165" stroke-linecap="round" />
                </svg>
            </figure>
            <?php if( $preloader_text ){ ?>
                <span><?php echo esc_html( $preloader_text ); ?></span>
            <?php } ?>
        </div>
    </div>
<?php } ?>

<div class="preloader hide-no-js">

</div>


<div class="theme-custom-cursor theme-cursor-primary"></div>
<div class="theme-custom-cursor theme-cursor-secondary"></div>


<div id="page" class="site">
    <a class="skip-link screen-reader-text" href="#content"><?php esc_html_e('Skip to the content', 'alok'); ?></a>

    <header id="site-header" class="theme-site-header" role="banner">
        <?php get_template_part('template-parts/header/header', 'content'); ?>
    </header>

    <div id="content" class="site-content">