<?php
/**
* Header Options.
*
* @package Alok
*/
$alok_default = alok_get_default_theme_options();

$wp_customize->remove_setting('display_header_text');
$wp_customize->remove_control('display_header_text');

$wp_customize->add_setting('hide_title',
    array(
        'default' => $alok_default['hide_title'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'alok_sanitize_checkbox',
    )
);
$wp_customize->add_control('hide_title',
    array(
        'label' => esc_html__('Hide Site Title', 'alok'),
        'section' => 'title_tagline',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('hide_tagline',
    array(
        'default' => $alok_default['hide_tagline'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'alok_sanitize_checkbox',
    )
);
$wp_customize->add_control('hide_tagline',
    array(
        'label' => esc_html__('Hide Tagline', 'alok'),
        'section' => 'title_tagline',
        'type' => 'checkbox',
    )
);

$wp_customize->add_section( 'preloader_setting',
    array(
    'title'      => esc_html__( 'Preloader Settings', 'alok' ),
    'priority'   => 10,
    'capability' => 'edit_theme_options',
    'panel'      => 'theme_option_panel',
    )
);

$wp_customize->add_setting('ed_preloader',
    array(
        'default' => $alok_default['ed_preloader'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'alok_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_preloader',
    array(
        'label' => esc_html__('Enable Preloader', 'alok'),
        'section' => 'preloader_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'preloader_text',
    array(
    'default'           => $alok_default['preloader_text'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'preloader_text',
    array(
    'label'       => esc_html__( 'Preloader Title', 'alok' ),
    'section'     => 'preloader_setting',
    'type'        => 'text',
    )
);


// Header Advertise Area Section.
$wp_customize->add_section( 'main_header_setting',
	array(
	'title'      => esc_html__( 'Header Settings', 'alok' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_option_panel',
	)
);

// Enable Disable Search.
$wp_customize->add_setting('ed_header_search',
    array(
        'default' => $alok_default['ed_header_search'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'alok_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_search',
    array(
        'label' => esc_html__('Enable Search', 'alok'),
        'section' => 'main_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_desktop_menu',
    array(
        'default' => $alok_default['ed_desktop_menu'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'alok_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_desktop_menu',
    array(
        'label' => esc_html__('Display Main Navigation, Hide Mobile Menu in Desktop View', 'alok'),
        'section' => 'main_header_setting',
        'type' => 'checkbox',
    )
);