<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Alok
 * @since 1.0.0
 */
get_header(); ?>
    <div class="theme-block theme-main-block">

            <div class="wrapper-small">
                <div class="wrapper-inner">
                    <div class="column column-6 column-sm-12">
                        
                        <div class="theme-block-left data-bg" data-background='<?php echo esc_url( get_header_image() ); ?>'>

                            <?php if (!is_home() && !is_front_page()) { ?>
                                <div class="theme-block theme-block-archive">
                                    <div class="twp-archive-header">
                                        <div class="wrapper">
                                            <?php alok_archive_title(); ?>
                                        </div>
                                    </div>
                                </div>
                            <?php } elseif (is_home() && is_front_page()) { ?>
                                <?php alok_vertical_header_section(); ?>
                            <?php } ?>
                        </div>
                    </div>

                    <div class="column column-6 column-sm-12">
                        <div class="theme-block-right">
                                <div class="theme-panelarea theme-panelarea-blocks">
                                    <?php if (have_posts()):
                                        while (have_posts()) : the_post();
                                            $twp_be_post_views_count = absint( get_post_meta( get_the_ID(), 'twp_be_post_views_count', true ) );
                                            $twp_be_like_count = absint( get_post_meta( get_the_ID(), 'twp_be_like_count', true ) );
                                            ?>

                                            <figure class="theme-panel-blocks article-panel-blocks twp-archive-items-main twp-latest-posts-block " data-like="<?php echo esc_attr( $twp_be_like_count ); ?>" data-views="<?php echo esc_attr( $twp_be_post_views_count ); ?>">

                                                <?php if ( class_exists( 'Booster_Extension_Class' ) ) { ?>
                                                    <div style="display: none;" class="twp-post-views"><?php echo $twp_be_post_views_count; ?></div>
                                                    <div style="display: none;" class="twp-post-like"><?php echo $twp_be_like_count; ?></div>
                                                <?php } ?>
                                            
                                            <?php
                                            get_template_part('template-parts/content', get_post_type());

                                            ?></figure><?php
                                        endwhile;

                                    else :

                                        get_template_part('template-parts/content', 'none');

                                    endif; ?>

                            </div>

                            <?php do_action('alok_archive_pagination'); ?>
                        </div>
                    </div>
                </div>
            </div>
    </div>
<?php get_footer();
