<?php
/**
 * The default template for displaying content
 *
 * Used for both singular and index.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
* @package Alok
 * @since 1.0.0
 */

$alok_ed_post_views = esc_html( get_post_meta( get_the_ID(), 'alok_ed_post_views', true ) );
$alok_ed_post_read_time = esc_html( get_post_meta( get_the_ID(), 'alok_ed_post_read_time', true ) );
$alok_ed_post_like_dislike = esc_html( get_post_meta( get_the_ID(), 'alok_ed_post_like_dislike', true ) );
$alok_ed_post_author_box = esc_html( get_post_meta( get_the_ID(), 'alok_ed_post_author_box', true ) );
$alok_ed_post_social_share = esc_html( get_post_meta( get_the_ID(), 'alok_ed_post_social_share', true ) );
$alok_ed_post_reaction = esc_html( get_post_meta( get_the_ID(), 'alok_ed_post_reaction', true ) );

alok_disable_post_views();
alok_disable_post_read_time();
if( $alok_ed_post_like_dislike ){ alok_disable_post_like_dislike(); }
if( $alok_ed_post_author_box ){ alok_disable_post_author_box(); }
if( $alok_ed_post_reaction ){ alok_disable_post_reaction(); }
?>

	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

		<div class="wrapper-inner">
			<div class="column column-6 column-sm-12">
				<div class="theme-block-left">
					<?php if( has_post_thumbnail() ){ ?>
						<div class="entry-featured-thumbnail">
							<div class="entry-thumbnail thumbnail-image-overlay">
								<?php
								$featured_image = wp_get_attachment_image_src( get_post_thumbnail_id(),'alok-featured-image' );
								$featured_image = isset( $featured_image[0] ) ? $featured_image[0] : '';?>
								<img src="<?php echo esc_url( $featured_image ); ?>" title="<?php the_title_attribute(); ?>" alt="<?php the_title_attribute(); ?>">
							</div>
						</div>
						<div class="page-title-block">
							<?php
							if( 'post' === get_post_type() ){ ?>

								<div class="entry-meta theme-meta-categories">
									<?php alok_entry_footer( $cats = true, $tags = false, $edits = false ); ?>
								</div>
								
							<?php } ?>

							<header class="entry-header">

								<h1 class="entry-title entry-title-big">

									<?php the_title(); ?>

								</h1>

							</header>


							<?php if( is_single() && 'post' === get_post_type() ){ ?>
								<div class="entry-meta">
									<?php alok_posted_by(); ?>
								</div>
							<?php } ?>
						</div>
					<?php } else { ?>
						<div class="no-image-post">

							<div class="no-image-excerpt">
								<svg xmlns="http://www.w3.org/2000/svg" aria-hidden="true" role="img" width="1em" height="1em" preserveAspectRatio="xMidYMid meet" viewBox="0 0 24 24"><path fill="currentColor" d="m10 7l-2 4h3v6H5v-6l2-4h3m8 0l-2 4h3v6h-6v-6l2-4h3Z"/></svg>

								<?php the_excerpt(); ?>
							</div>

							<div class="page-title-block">
								<?php
								if( 'post' === get_post_type() ){ ?>

									<div class="entry-meta theme-meta-categories">
										<?php alok_entry_footer( $cats = true, $tags = false, $edits = false ); ?>
									</div>
									
								<?php } ?>

								<header class="entry-header">

									<h1 class="entry-title entry-title-big">

										<?php the_title(); ?>

									</h1>

								</header>


								<?php if( is_single() && 'post' === get_post_type() ){ ?>
									<div class="entry-meta">
										<?php alok_posted_by(); ?>
									</div>
								<?php } ?>
							</div>
						</div>
					<?php } ?>
				</div>
			</div>

			<div class="column column-6 column-sm-12">
				<div class="theme-block-right">
					
					<div class="post-content-wrap">

						<div class="post-content">

							<div class="entry-content">

								<?php

								the_content( sprintf(
									/* translators: %s: Name of current post. */
									wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'alok' ), array( 'span' => array( 'class' => array() ) ) ),
									the_title( '<span class="screen-reader-text">"', '"</span>', false )
								) );

								if( !class_exists( 'Booster_Extension_Class' ) ){

									wp_link_pages( array(
										'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'alok' ),
										'after'  => '</div>',
									) );

								} ?>

							</div>

							<?php
							if ( is_singular() && 'post' === get_post_type() ) { ?>

								<div class="entry-footer">
									<div class="entry-meta">
										<?php alok_entry_footer( $cats = false, $tags = true, $edits = true ); ?>
									</div>
								</div>

							<?php } ?>

						</div>

					</div>

					<?php /**
					 *  Output comments wrapper if it's a post, or if comments are open,
					 * or if there's a comment number – and check for password.
					**/

					if ( ( is_single() || is_page() ) && ( comments_open() || get_comments_number() ) && !post_password_required() ) { ?>

					    <div class="comments-wrapper">
					        <?php comments_template(); ?>
					    </div><!-- .comments-wrapper -->

					<?php
					} ?>
				</div>
			</div>
		</div>

	</article>