<?php
/**
 * Header Layout 1
 *
 * @package Alok
 */
$alok_default = alok_get_default_theme_options();
$ed_desktop_menu = get_theme_mod( 'ed_desktop_menu',$alok_default['ed_desktop_menu'] );

$blog_info    = get_bloginfo( 'name' );
$description  = get_bloginfo( 'description', 'display' );

$hide_title = get_theme_mod('hide_title', $alok_default['hide_title']);
$hide_tagline = get_theme_mod('hide_tagline', $alok_default['hide_tagline']);
$header_class = $hide_title ? 'screen-reader-text' : 'site-title';

?>


<div class="wrapper-small">
    <div class="wrapper-inner">

        <div class="column column-12">

           <div class="header-component-container">
                <div class="header-component header-component-left">
                        <div class="site-branding">
                            <?php if (has_custom_logo()) : ?>
                                <div class="site-logo">
                                    <?php the_custom_logo(); ?>
                                </div>
                            <?php endif; ?>
                            <?php if (is_front_page() && is_home() && $blog_info) : ?>
                                <h1 class="<?php echo esc_attr($header_class); ?>">
                                    <a href="<?php echo esc_url(home_url('/')); ?>"><?php echo esc_html($blog_info); ?></a>
                                </h1>
                            <?php else : ?>
                                <div class="<?php echo esc_attr($header_class); ?>">
                                    <a href="<?php echo esc_url(home_url('/')); ?>" rel="home"><?php bloginfo('name'); ?></a>
                                </div>
                            <?php endif; ?>
                            <?php if ($description && !$hide_tagline) : ?>
                                <div class="site-description">
                                    <?php echo $description; ?>
                                </div>
                            <?php endif; ?>
                        </div><!-- .site-branding -->
                </div><!-- .header-component-left -->

                <div class="header-component header-component-center">
                    <?php if( $ed_desktop_menu ){ ?>

                        <div class="navbar-components">
                            <div class="site-navigation">
                                <nav class="primary-menu-wrapper" aria-label="<?php esc_attr_e('Horizontal', 'alok'); ?>" role="navigation">

                                    <ul class="primary-menu">

                                        <?php
                                        if( has_nav_menu('alok-primary-menu') ){

                                            wp_nav_menu(
                                                array(
                                                    'container' => '',
                                                    'items_wrap' => '%3$s',
                                                    'theme_location' => 'alok-primary-menu',
                                                    'depth' => 3,
                                                )
                                            );

                                        }else{

                                            wp_list_pages(
                                                array(
                                                    'match_menu_classes' => true,
                                                    'show_sub_menu_icons' => true,
                                                    'title_li' => false,
                                                    'walker' => new Alok_Walker_Page(),
                                                )
                                            );

                                        } ?>

                                    </ul>

                                </nav><!-- .primary-menu-wrapper -->
                            </div><!-- .site-navigation -->
                        </div>
                    <?php } ?>
                </div>

                <div class="header-component header-component-right">

                        <?php if( has_nav_menu('alok-social-menu') ){ ?>

                            <div id="social-nav" class="social-navigation">

                                <?php
                                wp_nav_menu(array(
                                    'theme_location' => 'alok-social-menu',
                                    'link_before' => '<span class="screen-reader-text">',
                                    'link_after' => '</span>',
                                    'container' => 'div',
                                    'container_class' => 'social-menu',
                                    'depth' => 1,
                                )); ?>

                            </div>

                        <?php } ?>
                    <div class="navbar-controls hide-no-js">
                        <?php 
                        $ed_header_search = get_theme_mod('ed_header_search', $alok_default['ed_header_search']);
                        if ($ed_header_search) { ?>

                            <button type="button" class="navbar-control theme-action-control navbar-control-search">
                                <span class="action-control-trigger" tabindex="-1">
                                    <?php alok_the_theme_svg('search'); ?>
                                </span>
                            </button>

                        <?php } ?>

                        <button type="button" class="navbar-control theme-action-control navbar-control-offcanvas">
                            <span class="action-control-trigger" tabindex="-1">
                                <?php alok_the_theme_svg('menu'); ?>
                            </span>
                        </button>

                    </div>

                </div><!-- .header-component-right -->
           </div>

        </div>
    </div>
</div>
